/*
 * Aplicacin cliente para CartBean
 */

import java.util.*;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;


public class CartClient {

    public static void main(String[] args) {
        try {
            Context initial = new InitialContext();
            Object objref = initial.lookup("java:comp/env/ejb/SimpleCart");

            CartHome home = (CartHome) PortableRemoteObject.narrow(objref,
                    CartHome.class);

            Cart shoppingCart = home.create("swc");

            shoppingCart.addBook("Harry Potter: La piedra filosofal");
            shoppingCart.addBook("Harry Potter: La cmara secreta");
            shoppingCart.addBook("Harry Potter: El caliz de fuego");
           
            Vector bookList = new Vector();

            bookList = shoppingCart.getContents();

            Enumeration enumer = bookList.elements();

            while (enumer.hasMoreElements()) {
                String title = (String) enumer.nextElement();

                System.out.println(title);
            }

            System.exit(0);

        } catch (Exception ex) {
            System.err.println("Capturada una excepcin!!!!!");
            ex.printStackTrace();
            System.exit(1);
        }
    } 
} 
